commit 3639473b1ab8b0903c9b34899a8c399108fe9c81
Author: Jim Finnerty <jfinnert@amazon.com>
Date:   Fri Mar 26 13:05:53 2021 +0000

    Fix merge conflicts for 64-bit patch

diff --git a/src/backend/access/transam/clog.c b/src/backend/access/transam/clog.c
index f110974af8..dce40ec56e 100644
--- a/src/backend/access/transam/clog.c
+++ b/src/backend/access/transam/clog.c
@@ -707,9 +707,6 @@ void
 BootStrapCLOG(void)
 {
 	int			slotno;
-	ClogPageNumber	pageno;
-
-	pageno = TransactionIdToPage(ShmemVariableCache->nextXid);
 
 	LWLockAcquire(XactSLRULock, LW_EXCLUSIVE);
 
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index c59fe6fc61..41b3bb250f 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -11186,6 +11186,14 @@ RestoreGUCState(void *gucstate)
 				{
 					struct config_int *conf = (struct config_int *) gconf;
 
+					if (conf->reset_extra && conf->reset_extra != gconf->extra)
+						free(conf->reset_extra);
+					break;
+				}
+			case PGC_INT64:
+				{
+					struct config_int64 *conf = (struct config_int64 *) gconf;
+
 					if (conf->reset_extra && conf->reset_extra != gconf->extra)
 						free(conf->reset_extra);
 					break;
